--
-- PostgreSQL database dump
--

-- Dumped from database version 11.7 (Raspbian 11.7-0+deb10u1)
-- Dumped by pg_dump version 11.7 (Raspbian 11.7-0+deb10u1)

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: truncate_tables(character varying); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION public.truncate_tables(username character varying) RETURNS void
    LANGUAGE plpgsql
    AS $$
DECLARE
    statements CURSOR FOR
        SELECT tablename FROM pg_tables
        WHERE tableowner = username AND schemaname = 'public';
BEGIN
    FOR stmt IN statements LOOP
        EXECUTE 'TRUNCATE TABLE ' || quote_ident(stmt.tablename) || ' CASCADE;';
    END LOOP;
END;
$$;


ALTER FUNCTION public.truncate_tables(username character varying) OWNER TO postgres;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: audio_chipset; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.audio_chipset (
    id integer NOT NULL,
    manufacturer_id integer,
    name character varying(255) DEFAULT NULL::character varying,
    chip_name character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.audio_chipset OWNER TO uh19;

--
-- Name: audio_chipset_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.audio_chipset_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.audio_chipset_id_seq OWNER TO uh19;

--
-- Name: cache_size; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.cache_size (
    id integer NOT NULL,
    value integer NOT NULL
);


ALTER TABLE public.cache_size OWNER TO uh19;

--
-- Name: cache_size_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.cache_size_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cache_size_id_seq OWNER TO uh19;

--
-- Name: chipset; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.chipset (
    id integer NOT NULL,
    manufacturer_id integer,
    main_chip character varying(255) DEFAULT NULL::character varying,
    secondary_chip character varying(255) DEFAULT NULL::character varying,
    name character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.chipset OWNER TO uh19;

--
-- Name: chipset_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.chipset_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.chipset_id_seq OWNER TO uh19;

--
-- Name: coprocessor; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.coprocessor (
    id integer NOT NULL,
    manufacturer_id integer,
    processor_platform_type_id integer,
    name character varying(255) NOT NULL
);


ALTER TABLE public.coprocessor OWNER TO uh19;

--
-- Name: coprocessor_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.coprocessor_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.coprocessor_id_seq OWNER TO uh19;

--
-- Name: cpu_speed; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.cpu_speed (
    id integer NOT NULL,
    value double precision NOT NULL
);


ALTER TABLE public.cpu_speed OWNER TO uh19;

--
-- Name: cpu_speed_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.cpu_speed_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cpu_speed_id_seq OWNER TO uh19;

--
-- Name: dram_type; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.dram_type (
    id integer NOT NULL,
    name character varying(255) NOT NULL
);


ALTER TABLE public.dram_type OWNER TO uh19;

--
-- Name: dram_type_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.dram_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.dram_type_id_seq OWNER TO uh19;

--
-- Name: expansion_slot; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.expansion_slot (
    id integer NOT NULL,
    name character varying(255) NOT NULL
);


ALTER TABLE public.expansion_slot OWNER TO uh19;

--
-- Name: expansion_slot_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.expansion_slot_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.expansion_slot_id_seq OWNER TO uh19;

--
-- Name: form_factor; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.form_factor (
    id integer NOT NULL,
    name character varying(255) NOT NULL
);


ALTER TABLE public.form_factor OWNER TO uh19;

--
-- Name: form_factor_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.form_factor_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.form_factor_id_seq OWNER TO uh19;

--
-- Name: io_port; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.io_port (
    id integer NOT NULL,
    name character varying(255) NOT NULL
);


ALTER TABLE public.io_port OWNER TO uh19;

--
-- Name: io_port_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.io_port_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.io_port_id_seq OWNER TO uh19;

--
-- Name: known_issue; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.known_issue (
    id integer NOT NULL,
    name character varying(255) NOT NULL
);


ALTER TABLE public.known_issue OWNER TO uh19;

--
-- Name: known_issue_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.known_issue_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.known_issue_id_seq OWNER TO uh19;

--
-- Name: language; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.language (
    id integer NOT NULL,
    name character varying(255) NOT NULL
);


ALTER TABLE public.language OWNER TO uh19;

--
-- Name: language_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.language_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.language_id_seq OWNER TO uh19;

--
-- Name: manual; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.manual (
    id integer NOT NULL,
    motherboard_id integer,
    language_id integer NOT NULL,
    file_name character varying(255) NOT NULL,
    link_name character varying(255) NOT NULL,
    updated_at timestamp(0) without time zone NOT NULL
);


ALTER TABLE public.manual OWNER TO uh19;

--
-- Name: manual_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.manual_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.manual_id_seq OWNER TO uh19;

--
-- Name: manufacturer; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.manufacturer (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    short_name character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.manufacturer OWNER TO uh19;

--
-- Name: manufacturer_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.manufacturer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.manufacturer_id_seq OWNER TO uh19;

--
-- Name: max_ram; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.max_ram (
    id integer NOT NULL,
    value bigint NOT NULL
);


ALTER TABLE public.max_ram OWNER TO uh19;

--
-- Name: max_ram_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.max_ram_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.max_ram_id_seq OWNER TO uh19;

--
-- Name: migration_versions; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.migration_versions (
    version character varying(14) NOT NULL,
    executed_at timestamp(0) without time zone NOT NULL
);


ALTER TABLE public.migration_versions OWNER TO uh19;

--
-- Name: COLUMN migration_versions.executed_at; Type: COMMENT; Schema: public; Owner: uh19
--

COMMENT ON COLUMN public.migration_versions.executed_at IS '(DC2Type:datetime_immutable)';


--
-- Name: motherboard; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.motherboard (
    id integer NOT NULL,
    manufacturer_id integer,
    chipset_id integer,
    processor_platform_type_id integer,
    form_factor_id integer,
    video_chipset_id integer,
    max_video_ram_id integer,
    audio_chipset_id integer,
    name character varying(255) DEFAULT NULL::character varying,
    dimensions character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.motherboard OWNER TO uh19;

--
-- Name: motherboard_bios; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.motherboard_bios (
    id integer NOT NULL,
    motherboard_id integer NOT NULL,
    manufacturer_id integer,
    file_name character varying(255) DEFAULT NULL::character varying,
    post_string character varying(255) DEFAULT NULL::character varying,
    board_version character varying(255) DEFAULT NULL::character varying,
    updated_at timestamp(0) without time zone NOT NULL,
    core_version character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.motherboard_bios OWNER TO uh19;

--
-- Name: motherboard_bios_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.motherboard_bios_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.motherboard_bios_id_seq OWNER TO uh19;

--
-- Name: motherboard_cache_size; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.motherboard_cache_size (
    motherboard_id integer NOT NULL,
    cache_size_id integer NOT NULL
);


ALTER TABLE public.motherboard_cache_size OWNER TO uh19;

--
-- Name: motherboard_coprocessor; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.motherboard_coprocessor (
    motherboard_id integer NOT NULL,
    coprocessor_id integer NOT NULL
);


ALTER TABLE public.motherboard_coprocessor OWNER TO uh19;

--
-- Name: motherboard_cpu_speed; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.motherboard_cpu_speed (
    motherboard_id integer NOT NULL,
    cpu_speed_id integer NOT NULL
);


ALTER TABLE public.motherboard_cpu_speed OWNER TO uh19;

--
-- Name: motherboard_dram_type; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.motherboard_dram_type (
    motherboard_id integer NOT NULL,
    dram_type_id integer NOT NULL
);


ALTER TABLE public.motherboard_dram_type OWNER TO uh19;

--
-- Name: motherboard_expansion_slot; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.motherboard_expansion_slot (
    motherboard_id integer NOT NULL,
    expansion_slot_id integer NOT NULL,
    count integer NOT NULL
);


ALTER TABLE public.motherboard_expansion_slot OWNER TO uh19;

--
-- Name: motherboard_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.motherboard_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.motherboard_id_seq OWNER TO uh19;

--
-- Name: motherboard_image; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.motherboard_image (
    id integer NOT NULL,
    motherboard_image_type_id integer NOT NULL,
    motherboard_id integer NOT NULL,
    file_name character varying(255) NOT NULL,
    description character varying(255),
    updated_at timestamp(0) without time zone NOT NULL
);


ALTER TABLE public.motherboard_image OWNER TO uh19;

--
-- Name: motherboard_image_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.motherboard_image_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.motherboard_image_id_seq OWNER TO uh19;

--
-- Name: motherboard_image_type; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.motherboard_image_type (
    id integer NOT NULL,
    name character varying(255) NOT NULL
);


ALTER TABLE public.motherboard_image_type OWNER TO uh19;

--
-- Name: motherboard_image_type_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.motherboard_image_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.motherboard_image_type_id_seq OWNER TO uh19;

--
-- Name: motherboard_io_port; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.motherboard_io_port (
    motherboard_id integer NOT NULL,
    io_port_id integer NOT NULL,
    count integer NOT NULL
);


ALTER TABLE public.motherboard_io_port OWNER TO uh19;

--
-- Name: motherboard_known_issue; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.motherboard_known_issue (
    motherboard_id integer NOT NULL,
    known_issue_id integer NOT NULL
);


ALTER TABLE public.motherboard_known_issue OWNER TO uh19;

--
-- Name: motherboard_max_ram; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.motherboard_max_ram (
    motherboard_id integer NOT NULL,
    max_ram_id integer NOT NULL,
    note character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.motherboard_max_ram OWNER TO uh19;

--
-- Name: motherboard_processor; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.motherboard_processor (
    motherboard_id integer NOT NULL,
    processor_id integer NOT NULL
);


ALTER TABLE public.motherboard_processor OWNER TO uh19;

--
-- Name: processor; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.processor (
    id integer NOT NULL,
    manufacturer_id integer NOT NULL,
    processor_platform_type_id integer,
    name character varying(255) NOT NULL
);


ALTER TABLE public.processor OWNER TO uh19;

--
-- Name: processor_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.processor_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.processor_id_seq OWNER TO uh19;

--
-- Name: processor_platform_type; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.processor_platform_type (
    id integer NOT NULL,
    name character varying(255) NOT NULL
);


ALTER TABLE public.processor_platform_type OWNER TO uh19;

--
-- Name: processor_platform_type_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.processor_platform_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.processor_platform_type_id_seq OWNER TO uh19;

--
-- Name: user; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public."user" (
    id integer NOT NULL,
    username character varying(180) NOT NULL,
    roles json NOT NULL,
    password character varying(255) NOT NULL
);


ALTER TABLE public."user" OWNER TO uh19;

--
-- Name: user_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_id_seq OWNER TO uh19;

--
-- Name: video_chipset; Type: TABLE; Schema: public; Owner: uh19
--

CREATE TABLE public.video_chipset (
    id integer NOT NULL,
    manufacturer_id integer NOT NULL,
    name character varying(255) DEFAULT NULL::character varying,
    chip_name character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.video_chipset OWNER TO uh19;

--
-- Name: video_chipset_id_seq; Type: SEQUENCE; Schema: public; Owner: uh19
--

CREATE SEQUENCE public.video_chipset_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.video_chipset_id_seq OWNER TO uh19;

--
-- Name: audio_chipset audio_chipset_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.audio_chipset
    ADD CONSTRAINT audio_chipset_pkey PRIMARY KEY (id);


--
-- Name: cache_size cache_size_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.cache_size
    ADD CONSTRAINT cache_size_pkey PRIMARY KEY (id);


--
-- Name: chipset chipset_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.chipset
    ADD CONSTRAINT chipset_pkey PRIMARY KEY (id);


--
-- Name: coprocessor coprocessor_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.coprocessor
    ADD CONSTRAINT coprocessor_pkey PRIMARY KEY (id);


--
-- Name: cpu_speed cpu_speed_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.cpu_speed
    ADD CONSTRAINT cpu_speed_pkey PRIMARY KEY (id);


--
-- Name: dram_type dram_type_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.dram_type
    ADD CONSTRAINT dram_type_pkey PRIMARY KEY (id);


--
-- Name: expansion_slot expansion_slot_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.expansion_slot
    ADD CONSTRAINT expansion_slot_pkey PRIMARY KEY (id);


--
-- Name: form_factor form_factor_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.form_factor
    ADD CONSTRAINT form_factor_pkey PRIMARY KEY (id);


--
-- Name: io_port io_port_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.io_port
    ADD CONSTRAINT io_port_pkey PRIMARY KEY (id);


--
-- Name: known_issue known_issue_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.known_issue
    ADD CONSTRAINT known_issue_pkey PRIMARY KEY (id);


--
-- Name: language language_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.language
    ADD CONSTRAINT language_pkey PRIMARY KEY (id);


--
-- Name: manual manual_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.manual
    ADD CONSTRAINT manual_pkey PRIMARY KEY (id);


--
-- Name: manufacturer manufacturer_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.manufacturer
    ADD CONSTRAINT manufacturer_pkey PRIMARY KEY (id);


--
-- Name: max_ram max_ram_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.max_ram
    ADD CONSTRAINT max_ram_pkey PRIMARY KEY (id);


--
-- Name: migration_versions migration_versions_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.migration_versions
    ADD CONSTRAINT migration_versions_pkey PRIMARY KEY (version);


--
-- Name: motherboard_bios motherboard_bios_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_bios
    ADD CONSTRAINT motherboard_bios_pkey PRIMARY KEY (id);


--
-- Name: motherboard_cache_size motherboard_cache_size_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_cache_size
    ADD CONSTRAINT motherboard_cache_size_pkey PRIMARY KEY (motherboard_id, cache_size_id);


--
-- Name: motherboard_coprocessor motherboard_coprocessor_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_coprocessor
    ADD CONSTRAINT motherboard_coprocessor_pkey PRIMARY KEY (motherboard_id, coprocessor_id);


--
-- Name: motherboard_cpu_speed motherboard_cpu_speed_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_cpu_speed
    ADD CONSTRAINT motherboard_cpu_speed_pkey PRIMARY KEY (motherboard_id, cpu_speed_id);


--
-- Name: motherboard_dram_type motherboard_dram_type_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_dram_type
    ADD CONSTRAINT motherboard_dram_type_pkey PRIMARY KEY (motherboard_id, dram_type_id);


--
-- Name: motherboard_expansion_slot motherboard_expansion_slot_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_expansion_slot
    ADD CONSTRAINT motherboard_expansion_slot_pkey PRIMARY KEY (motherboard_id, expansion_slot_id);


--
-- Name: motherboard_image motherboard_image_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_image
    ADD CONSTRAINT motherboard_image_pkey PRIMARY KEY (id);


--
-- Name: motherboard_image_type motherboard_image_type_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_image_type
    ADD CONSTRAINT motherboard_image_type_pkey PRIMARY KEY (id);


--
-- Name: motherboard_io_port motherboard_io_port_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_io_port
    ADD CONSTRAINT motherboard_io_port_pkey PRIMARY KEY (motherboard_id, io_port_id);


--
-- Name: motherboard_known_issue motherboard_known_issue_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_known_issue
    ADD CONSTRAINT motherboard_known_issue_pkey PRIMARY KEY (motherboard_id, known_issue_id);


--
-- Name: motherboard_max_ram motherboard_max_ram_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_max_ram
    ADD CONSTRAINT motherboard_max_ram_pkey PRIMARY KEY (motherboard_id, max_ram_id);


--
-- Name: motherboard motherboard_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard
    ADD CONSTRAINT motherboard_pkey PRIMARY KEY (id);


--
-- Name: motherboard_processor motherboard_processor_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_processor
    ADD CONSTRAINT motherboard_processor_pkey PRIMARY KEY (motherboard_id, processor_id);


--
-- Name: processor processor_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.processor
    ADD CONSTRAINT processor_pkey PRIMARY KEY (id);


--
-- Name: processor_platform_type processor_platform_type_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.processor_platform_type
    ADD CONSTRAINT processor_platform_type_pkey PRIMARY KEY (id);


--
-- Name: user user_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public."user"
    ADD CONSTRAINT user_pkey PRIMARY KEY (id);


--
-- Name: video_chipset video_chipset_pkey; Type: CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.video_chipset
    ADD CONSTRAINT video_chipset_pkey PRIMARY KEY (id);


--
-- Name: idx_10dbbec46511e8a3; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_10dbbec46511e8a3 ON public.manual USING btree (motherboard_id);


--
-- Name: idx_10dbbec482f1baf4; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_10dbbec482f1baf4 ON public.manual USING btree (language_id);


--
-- Name: idx_1a6a4483a23b42d; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_1a6a4483a23b42d ON public.audio_chipset USING btree (manufacturer_id);


--
-- Name: idx_1ded74e6511e8a3; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_1ded74e6511e8a3 ON public.motherboard_max_ram USING btree (motherboard_id);


--
-- Name: idx_1ded74e9457a0e1; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_1ded74e9457a0e1 ON public.motherboard_max_ram USING btree (max_ram_id);


--
-- Name: idx_25dd4d5fa23b42d; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_25dd4d5fa23b42d ON public.chipset USING btree (manufacturer_id);


--
-- Name: idx_27036c4d44ebdbab; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_27036c4d44ebdbab ON public.motherboard_coprocessor USING btree (coprocessor_id);


--
-- Name: idx_27036c4d6511e8a3; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_27036c4d6511e8a3 ON public.motherboard_coprocessor USING btree (motherboard_id);


--
-- Name: idx_29c04650a23b42d; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_29c04650a23b42d ON public.processor USING btree (manufacturer_id);


--
-- Name: idx_29c04650a90b5cbc; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_29c04650a90b5cbc ON public.processor USING btree (processor_platform_type_id);


--
-- Name: idx_2be8fd2137bac19a; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_2be8fd2137bac19a ON public.motherboard_processor USING btree (processor_id);


--
-- Name: idx_2be8fd216511e8a3; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_2be8fd216511e8a3 ON public.motherboard_processor USING btree (motherboard_id);


--
-- Name: idx_37260f5c6511e8a3; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_37260f5c6511e8a3 ON public.motherboard_expansion_slot USING btree (motherboard_id);


--
-- Name: idx_37260f5c85c5d58e; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_37260f5c85c5d58e ON public.motherboard_expansion_slot USING btree (expansion_slot_id);


--
-- Name: idx_4d944cd6a23b42d; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_4d944cd6a23b42d ON public.coprocessor USING btree (manufacturer_id);


--
-- Name: idx_4d944cd6a90b5cbc; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_4d944cd6a90b5cbc ON public.coprocessor USING btree (processor_platform_type_id);


--
-- Name: idx_555107202a211d31; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_555107202a211d31 ON public.motherboard_io_port USING btree (io_port_id);


--
-- Name: idx_555107206511e8a3; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_555107206511e8a3 ON public.motherboard_io_port USING btree (motherboard_id);


--
-- Name: idx_6781b3ac4aaf3610; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_6781b3ac4aaf3610 ON public.motherboard_cache_size USING btree (cache_size_id);


--
-- Name: idx_6781b3ac6511e8a3; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_6781b3ac6511e8a3 ON public.motherboard_cache_size USING btree (motherboard_id);


--
-- Name: idx_6a5a3b8d32096f65; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_6a5a3b8d32096f65 ON public.motherboard_known_issue USING btree (known_issue_id);


--
-- Name: idx_6a5a3b8d6511e8a3; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_6a5a3b8d6511e8a3 ON public.motherboard_known_issue USING btree (motherboard_id);


--
-- Name: idx_7f7a0f2b3cb32b0f; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_7f7a0f2b3cb32b0f ON public.motherboard USING btree (video_chipset_id);


--
-- Name: idx_7f7a0f2b900d537d; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_7f7a0f2b900d537d ON public.motherboard USING btree (max_video_ram_id);


--
-- Name: idx_7f7a0f2ba23b42d; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_7f7a0f2ba23b42d ON public.motherboard USING btree (manufacturer_id);


--
-- Name: idx_7f7a0f2ba90b5cbc; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_7f7a0f2ba90b5cbc ON public.motherboard USING btree (processor_platform_type_id);


--
-- Name: idx_7f7a0f2bbc1433b9; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_7f7a0f2bbc1433b9 ON public.motherboard USING btree (chipset_id);


--
-- Name: idx_7f7a0f2bbc4062b4; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_7f7a0f2bbc4062b4 ON public.motherboard USING btree (audio_chipset_id);


--
-- Name: idx_7f7a0f2bcd887eaf; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_7f7a0f2bcd887eaf ON public.motherboard USING btree (form_factor_id);


--
-- Name: idx_85a962606511e8a3; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_85a962606511e8a3 ON public.motherboard_dram_type USING btree (motherboard_id);


--
-- Name: idx_85a96260b1e0c110; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_85a96260b1e0c110 ON public.motherboard_dram_type USING btree (dram_type_id);


--
-- Name: idx_9e92b1326511e8a3; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_9e92b1326511e8a3 ON public.motherboard_bios USING btree (motherboard_id);


--
-- Name: idx_9e92b132a23b42d; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_9e92b132a23b42d ON public.motherboard_bios USING btree (manufacturer_id);


--
-- Name: idx_a713cf6b6511e8a3; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_a713cf6b6511e8a3 ON public.motherboard_cpu_speed USING btree (motherboard_id);


--
-- Name: idx_a713cf6b8da8b6e5; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_a713cf6b8da8b6e5 ON public.motherboard_cpu_speed USING btree (cpu_speed_id);


--
-- Name: idx_c030a4f2a23b42d; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_c030a4f2a23b42d ON public.video_chipset USING btree (manufacturer_id);


--
-- Name: idx_fb11e5726511e8a3; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_fb11e5726511e8a3 ON public.motherboard_image USING btree (motherboard_id);


--
-- Name: idx_fb11e572f987c2c1; Type: INDEX; Schema: public; Owner: uh19
--

CREATE INDEX idx_fb11e572f987c2c1 ON public.motherboard_image USING btree (motherboard_image_type_id);


--
-- Name: uniq_8d93d649f85e0677; Type: INDEX; Schema: public; Owner: uh19
--

CREATE UNIQUE INDEX uniq_8d93d649f85e0677 ON public."user" USING btree (username);


--
-- Name: manual fk_10dbbec46511e8a3; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.manual
    ADD CONSTRAINT fk_10dbbec46511e8a3 FOREIGN KEY (motherboard_id) REFERENCES public.motherboard(id);


--
-- Name: manual fk_10dbbec482f1baf4; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.manual
    ADD CONSTRAINT fk_10dbbec482f1baf4 FOREIGN KEY (language_id) REFERENCES public.language(id);


--
-- Name: audio_chipset fk_1a6a4483a23b42d; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.audio_chipset
    ADD CONSTRAINT fk_1a6a4483a23b42d FOREIGN KEY (manufacturer_id) REFERENCES public.manufacturer(id);


--
-- Name: motherboard_max_ram fk_1ded74e6511e8a3; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_max_ram
    ADD CONSTRAINT fk_1ded74e6511e8a3 FOREIGN KEY (motherboard_id) REFERENCES public.motherboard(id);


--
-- Name: motherboard_max_ram fk_1ded74e9457a0e1; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_max_ram
    ADD CONSTRAINT fk_1ded74e9457a0e1 FOREIGN KEY (max_ram_id) REFERENCES public.max_ram(id);


--
-- Name: chipset fk_25dd4d5fa23b42d; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.chipset
    ADD CONSTRAINT fk_25dd4d5fa23b42d FOREIGN KEY (manufacturer_id) REFERENCES public.manufacturer(id);


--
-- Name: motherboard_coprocessor fk_27036c4d44ebdbab; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_coprocessor
    ADD CONSTRAINT fk_27036c4d44ebdbab FOREIGN KEY (coprocessor_id) REFERENCES public.coprocessor(id) ON DELETE CASCADE;


--
-- Name: motherboard_coprocessor fk_27036c4d6511e8a3; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_coprocessor
    ADD CONSTRAINT fk_27036c4d6511e8a3 FOREIGN KEY (motherboard_id) REFERENCES public.motherboard(id) ON DELETE CASCADE;


--
-- Name: processor fk_29c04650a23b42d; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.processor
    ADD CONSTRAINT fk_29c04650a23b42d FOREIGN KEY (manufacturer_id) REFERENCES public.manufacturer(id);


--
-- Name: processor fk_29c04650a90b5cbc; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.processor
    ADD CONSTRAINT fk_29c04650a90b5cbc FOREIGN KEY (processor_platform_type_id) REFERENCES public.processor_platform_type(id);


--
-- Name: motherboard_processor fk_2be8fd2137bac19a; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_processor
    ADD CONSTRAINT fk_2be8fd2137bac19a FOREIGN KEY (processor_id) REFERENCES public.processor(id) ON DELETE CASCADE;


--
-- Name: motherboard_processor fk_2be8fd216511e8a3; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_processor
    ADD CONSTRAINT fk_2be8fd216511e8a3 FOREIGN KEY (motherboard_id) REFERENCES public.motherboard(id) ON DELETE CASCADE;


--
-- Name: motherboard_expansion_slot fk_37260f5c6511e8a3; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_expansion_slot
    ADD CONSTRAINT fk_37260f5c6511e8a3 FOREIGN KEY (motherboard_id) REFERENCES public.motherboard(id);


--
-- Name: motherboard_expansion_slot fk_37260f5c85c5d58e; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_expansion_slot
    ADD CONSTRAINT fk_37260f5c85c5d58e FOREIGN KEY (expansion_slot_id) REFERENCES public.expansion_slot(id);


--
-- Name: coprocessor fk_4d944cd6a23b42d; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.coprocessor
    ADD CONSTRAINT fk_4d944cd6a23b42d FOREIGN KEY (manufacturer_id) REFERENCES public.manufacturer(id);


--
-- Name: coprocessor fk_4d944cd6a90b5cbc; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.coprocessor
    ADD CONSTRAINT fk_4d944cd6a90b5cbc FOREIGN KEY (processor_platform_type_id) REFERENCES public.processor_platform_type(id);


--
-- Name: motherboard_io_port fk_555107202a211d31; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_io_port
    ADD CONSTRAINT fk_555107202a211d31 FOREIGN KEY (io_port_id) REFERENCES public.io_port(id);


--
-- Name: motherboard_io_port fk_555107206511e8a3; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_io_port
    ADD CONSTRAINT fk_555107206511e8a3 FOREIGN KEY (motherboard_id) REFERENCES public.motherboard(id);


--
-- Name: motherboard_cache_size fk_6781b3ac4aaf3610; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_cache_size
    ADD CONSTRAINT fk_6781b3ac4aaf3610 FOREIGN KEY (cache_size_id) REFERENCES public.cache_size(id) ON DELETE CASCADE;


--
-- Name: motherboard_cache_size fk_6781b3ac6511e8a3; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_cache_size
    ADD CONSTRAINT fk_6781b3ac6511e8a3 FOREIGN KEY (motherboard_id) REFERENCES public.motherboard(id) ON DELETE CASCADE;


--
-- Name: motherboard_known_issue fk_6a5a3b8d32096f65; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_known_issue
    ADD CONSTRAINT fk_6a5a3b8d32096f65 FOREIGN KEY (known_issue_id) REFERENCES public.known_issue(id) ON DELETE CASCADE;


--
-- Name: motherboard_known_issue fk_6a5a3b8d6511e8a3; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_known_issue
    ADD CONSTRAINT fk_6a5a3b8d6511e8a3 FOREIGN KEY (motherboard_id) REFERENCES public.motherboard(id) ON DELETE CASCADE;


--
-- Name: motherboard fk_7f7a0f2b3cb32b0f; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard
    ADD CONSTRAINT fk_7f7a0f2b3cb32b0f FOREIGN KEY (video_chipset_id) REFERENCES public.video_chipset(id);


--
-- Name: motherboard fk_7f7a0f2b900d537d; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard
    ADD CONSTRAINT fk_7f7a0f2b900d537d FOREIGN KEY (max_video_ram_id) REFERENCES public.max_ram(id);


--
-- Name: motherboard fk_7f7a0f2ba23b42d; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard
    ADD CONSTRAINT fk_7f7a0f2ba23b42d FOREIGN KEY (manufacturer_id) REFERENCES public.manufacturer(id);


--
-- Name: motherboard fk_7f7a0f2ba90b5cbc; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard
    ADD CONSTRAINT fk_7f7a0f2ba90b5cbc FOREIGN KEY (processor_platform_type_id) REFERENCES public.processor_platform_type(id);


--
-- Name: motherboard fk_7f7a0f2bbc1433b9; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard
    ADD CONSTRAINT fk_7f7a0f2bbc1433b9 FOREIGN KEY (chipset_id) REFERENCES public.chipset(id);


--
-- Name: motherboard fk_7f7a0f2bbc4062b4; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard
    ADD CONSTRAINT fk_7f7a0f2bbc4062b4 FOREIGN KEY (audio_chipset_id) REFERENCES public.audio_chipset(id);


--
-- Name: motherboard fk_7f7a0f2bcd887eaf; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard
    ADD CONSTRAINT fk_7f7a0f2bcd887eaf FOREIGN KEY (form_factor_id) REFERENCES public.form_factor(id);


--
-- Name: motherboard_dram_type fk_85a962606511e8a3; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_dram_type
    ADD CONSTRAINT fk_85a962606511e8a3 FOREIGN KEY (motherboard_id) REFERENCES public.motherboard(id) ON DELETE CASCADE;


--
-- Name: motherboard_dram_type fk_85a96260b1e0c110; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_dram_type
    ADD CONSTRAINT fk_85a96260b1e0c110 FOREIGN KEY (dram_type_id) REFERENCES public.dram_type(id) ON DELETE CASCADE;


--
-- Name: motherboard_bios fk_9e92b1326511e8a3; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_bios
    ADD CONSTRAINT fk_9e92b1326511e8a3 FOREIGN KEY (motherboard_id) REFERENCES public.motherboard(id);


--
-- Name: motherboard_bios fk_9e92b132a23b42d; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_bios
    ADD CONSTRAINT fk_9e92b132a23b42d FOREIGN KEY (manufacturer_id) REFERENCES public.manufacturer(id);


--
-- Name: motherboard_cpu_speed fk_a713cf6b6511e8a3; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_cpu_speed
    ADD CONSTRAINT fk_a713cf6b6511e8a3 FOREIGN KEY (motherboard_id) REFERENCES public.motherboard(id) ON DELETE CASCADE;


--
-- Name: motherboard_cpu_speed fk_a713cf6b8da8b6e5; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_cpu_speed
    ADD CONSTRAINT fk_a713cf6b8da8b6e5 FOREIGN KEY (cpu_speed_id) REFERENCES public.cpu_speed(id) ON DELETE CASCADE;


--
-- Name: video_chipset fk_c030a4f2a23b42d; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.video_chipset
    ADD CONSTRAINT fk_c030a4f2a23b42d FOREIGN KEY (manufacturer_id) REFERENCES public.manufacturer(id);


--
-- Name: motherboard_image fk_fb11e5726511e8a3; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_image
    ADD CONSTRAINT fk_fb11e5726511e8a3 FOREIGN KEY (motherboard_id) REFERENCES public.motherboard(id);


--
-- Name: motherboard_image fk_fb11e572f987c2c1; Type: FK CONSTRAINT; Schema: public; Owner: uh19
--

ALTER TABLE ONLY public.motherboard_image
    ADD CONSTRAINT fk_fb11e572f987c2c1 FOREIGN KEY (motherboard_image_type_id) REFERENCES public.motherboard_image_type(id);


--
-- PostgreSQL database dump complete
--

